<?php
require_once(__DIR__ . "/../../classes/Sistema.php");
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema(true);

if(!empty($sistema->usuario->senha_transf)) $sistema->redirecionar("./");

$senha1 = $_POST['senha1'];
$senha2 = $_POST['senha2'];

if($senha1 != $senha2 || strlen($senha1) < 8 || strlen($senha1) > 64){
	$_SESSION['errosenhatransf'] = 1;
	$sistema->redirecionar('../senha-transferencia');
}

try{
	$resultado = $sistema->indicacoes->modificar_senha_transferencia($senha1, $sistema->usuario->id);
	$sistema->redirecionar('../');
}
catch(Exception $e){
	$_SESSION['errosenhatransf'] = 0;
	$sistema->redirecionar('../senha-transferencia');
}
?>